<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getMaterialData](./bitburner.corporation.getmaterialdata.md)

## Corporation.getMaterialData() method

Get constant data of a material.

**Signature:**

```typescript
getMaterialData(materialName: CorpMaterialName): CorpMaterialConstantData;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

materialName


</td><td>

[CorpMaterialName](./bitburner.corpmaterialname.md)


</td><td>

Name of the material


</td></tr>
</tbody></table>

**Returns:**

[CorpMaterialConstantData](./bitburner.corpmaterialconstantdata.md)

Material data

## Remarks

RAM cost: 10 GB

